DCMTK: DSRDocumentTreeNodeHasConceptNameFilter Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DSRDocumentTreeNodeHasConceptNameFilter Class Reference

Class implementing a document tree node filter that checks for the presence (or absence) of a concept name. More...

Inheritance diagram for DSRDocumentTreeNodeHasConceptNameFilter:

## Public Member Functions
| DSRDocumentTreeNodeHasConceptNameFilter (const OFBool hasConceptName=OFTrue)
| constructor
virtual | ~DSRDocumentTreeNodeHasConceptNameFilter ()
| destructor
virtual OFBool | matches (const DSRDocumentTreeNode *node) const
| check whether given node matches the filter criterion
Public Member Functions inherited from DSRDocumentTreeNodeFilter
virtual | ~DSRDocumentTreeNodeFilter ()
| destructor

## Private Attributes
const OFBool | HasConceptName
| mode specifying whether the filter matches on the presence or absence of a concept name

## Detailed Description

Class implementing a document tree node filter that checks for the presence (or absence) of a concept name.

An empty concept name is treated as absent.

## Constructor & Destructor Documentation

## ◆ DSRDocumentTreeNodeHasConceptNameFilter()

DSRDocumentTreeNodeHasConceptNameFilter::DSRDocumentTreeNodeHasConceptNameFilter | ( | const OFBool | hasConceptName = OFTrue | ) |

constructor

Parameters

  hasConceptName | mode specifying whether the filter matches on the presence (default) or absence of a concept name

## Member Function Documentation

## ◆ matches()

virtual OFBool DSRDocumentTreeNodeHasConceptNameFilter::matches | ( | const DSRDocumentTreeNode * | node | ) | const
| virtual

check whether given node matches the filter criterion

Parameters

  node | pointer to the node to be checked

Returns
  OFTrue if 'node' matches the filter criterion, OFFalse otherwise

Implements DSRDocumentTreeNodeFilter.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrdnflt.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2